Package org.eclipse.mat.ibmvm.acquire

## Class IBMExecDumpProvider

- java.lang.Object
- - org.eclipse.mat.ibmvm.acquire.BaseProvider
  - - org.eclipse.mat.ibmvm.acquire.IBMExecDumpProvider

All Implemented Interfaces:
  `IHeapDumpProvider`

    public class IBMExecDumpProvider
    extends BaseProvider

Enables the creation of dumps from IBM VMs when a non-IBM VM or old IBM VM is used to run Memory Analyzer. A new IBM VM is used as a helper VM.

### Field Summary

Fields
`File` `javaexecutable`
`File` `javaexecutableCopy`
`List<File>` `javaList`
`String[]` `vmoptions`

### Fields inherited from class org.eclipse.mat.ibmvm.acquire.BaseProvider

`defaultCompress, defaultLive, defaultType, heapDumpTemplate, heapDumpZipTemplate, hprofDumpTemplate, hprofDumpZipTemplate, javaDumpTemplate, listAttach, systemDumpTemplate, systemDumpZipTemplate`

### Constructor Summary

Constructors
`IBMExecDumpProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`File` `acquireDump​(VmInfo info, File preferredLocation, IProgressListener listener)` Acquire a heap dump from a locally running Java process.
`List<VmInfo>` `getAvailableVMs​(IProgressListener listener)` Returns a list of locally running Java processes from which the heap dump provider can attempt to acquire a heap dump

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### javaexecutable

    public File javaexecutable

#### javaList

    public List<File> javaList

#### vmoptions

    public String[] vmoptions

#### javaexecutableCopy

    public File javaexecutableCopy

### Constructor Detail

#### IBMExecDumpProvider

    public IBMExecDumpProvider()

### Method Detail

#### acquireDump

    public File acquireDump​(VmInfo info,
                            File preferredLocation,
                            IProgressListener listener)
                     throws SnapshotException

Description copied from interface: `IHeapDumpProvider`
Acquire a heap dump from a locally running Java process. The

Parameters:
  `info` - a descriptor of the Java process which should be dumped
  `preferredLocation` - a preferred filename under which the heap dump should be saved. The `IHeapDumpProvider` is not obliged to provide the heap dump at this location
  `listener` - a progress listener
Returns:
  the File under which the successfully generated heap dump is saved
Throws:
  `SnapshotException`

#### getAvailableVMs

    public List<VmInfo> getAvailableVMs​(IProgressListener listener)

Description copied from interface: `IHeapDumpProvider`
Returns a list of locally running Java processes from which the heap dump provider can attempt to acquire a heap dump

Parameters:
  `listener` - a progress listener
Returns:
  A List of VMs, of a type which extends `VmInfo`.